{ pkgs, ... }@all: with all; {
  xdg.configFile = {
    "hyprpanel/modules.scss".text = with rice.color; /* scss */ ''
      @include styleModule('cmodule-cclock', (
        'text-color': ${accent.base},
        /* 'icon-color': , */
        /* 'icon-background': , */
        /* 'label-background': #242438, */
        /* 'inner-spacing': 0.5em, */
        /* 'border-enabled': false, */
        /* 'border-color': #cba6f7, */
        /* 'icon-size': 1.2em */
      ));
      @include styleModule('cmodule-caldav_event', (
        'text-color': ${accent.base},
      ));
    '';
    "hyprpanel/modules.json".text = builtins.toJSON {
      "custom/cclock" = {
          execute = "cclock";
          executeOnAction = "";
          label = "{}";
          interval = 60000;
          hideOnEmpty = true;
          actions.onLeftClick = "menu:calendar";
      };
      "custom/caldav_event" = {
          execute = "caldav_event";
          label = "󰃰 {}";
          interval = 1000;
          hideOnEmpty = false;
          actions = {};
      };
    };
  };
  programs.hyprpanel = {
    enable = true;
    package = pkgs.unstable.hyprpanel;
    settings = with rice.color;  let
      t = builtins.toString (builtins.ceil (rice.transparency * 100));
    in {
      "bar.layouts" = {
        "*" = {
          "left" = [
            "volume"
            # "microphone"
            # "cpu"
            # "cputemp"
            # "ram"
            (pkgs.lib.mkIf (hyper.host == "NxXPS") "battery")
            # "bluetooth"
            "network"
            "windowtitle"
          ];
          "middle" = [ "workspaces" ];
          "right" = [
            "submap"
            "custom/caldav_event"
            "media"
            "custom/cclock"
            "notifications"
            "systray"
          ]; 
        };
      };

      "bar.bluetooth.label" = true;

      "bar.customModules.submap.disabledIcon" = "";
      "bar.customModules.submap.disabledText" = "";
      "bar.customModules.submap.enabledIcon" = "";
      "bar.customModules.submap.enabledText" = "[SUBMAP]";
      "bar.customModules.submap.icon" = false;
      "bar.customModules.submap.label" = true;
      "bar.customModules.submap.showSubmapIcon" = false;
      "bar.customModules.submap.showSubmapName" = false;

      "bar.workspaces.applicationIconEmptyWorkspace" = "";
      "bar.workspaces.applicationIconOncePerWorkspace" = false;
      "bar.workspaces.numbered_active_indicator" = "color";
      "bar.workspaces.scroll_speed" = 1;
      "bar.workspaces.showAllActive" = false;
      "bar.workspaces.showApplicationIcons" = true;
      "bar.workspaces.show_icons" = false;
      "bar.workspaces.show_numbered" = false;
      "bar.workspaces.showWsIcons" = true;
      "bar.workspaces.spacing" = 1;
      "bar.workspaces.workspaceMask" = true;
      "bar.workspaces.workspaces" = 5;

      "theme.bar.background" = background;
      "theme.bar.border.color" = accent.base;
      "theme.bar.border_radius" = "0.2em";

      "theme.bar.buttons.background" = background;
      "theme.bar.buttons.background_opacity" = 0;
      "theme.bar.buttons.spacing" = "0em";
      "theme.bar.buttons.padding_x" = "0.5rem";

      "theme.bar.buttons.battery.background" = background; 
      "theme.bar.buttons.battery.border" = accent.base;
      "theme.bar.buttons.battery.icon_background" = background;
      "theme.bar.buttons.battery.icon" = accent.base;
      "theme.bar.buttons.battery.text" = accent.base;

      "theme.bar.buttons.bluetooth.background" = background; 
      "theme.bar.buttons.bluetooth.border" = accent.base;
      "theme.bar.buttons.bluetooth.icon_background" = background;
      "theme.bar.buttons.bluetooth.icon" = accent.base;
      "theme.bar.buttons.bluetooth.text" = accent.base;

      "theme.bar.buttons.borderColor" = accent.base;

      "theme.bar.buttons.clock.background" = background; 
      "theme.bar.buttons.clock.border" = accent.base;
      "theme.bar.buttons.clock.icon_background" = background;
      "theme.bar.buttons.clock.icon" = accent.base;
      "theme.bar.buttons.clock.text" = accent.base;

      "theme.bar.buttons.dashboard.background" = background; 
      "theme.bar.buttons.dashboard.border" = accent.base;
      "theme.bar.buttons.dashboard.icon" = accent.base;
      "theme.bar.buttons.icon_background" = background;

      "theme.bar.buttons.icon" = accent.base;

      "theme.bar.buttons.media.background" = background; 
      "theme.bar.buttons.media.border" = accent.base;
      "theme.bar.buttons.media.icon_background" = background;
      "theme.bar.buttons.media.icon" = accent.base;
      "theme.bar.buttons.media.text" = accent.base;

      "theme.bar.buttons.modules.cava.background" = background;
      "theme.bar.buttons.modules.cava.border" = accent.base;
      "theme.bar.buttons.modules.cava.icon_background" = background;
      "theme.bar.buttons.modules.cava.icon" = accent.base;
      "theme.bar.buttons.modules.cava.text" = accent.base;

      "theme.bar.buttons.modules.cpu.background" = background;
      "theme.bar.buttons.modules.cpu.border" = accent.base;
      "theme.bar.buttons.modules.cpu.icon_background" = background;
      "theme.bar.buttons.modules.cpu.icon" = accent.base;
      "theme.bar.buttons.modules.cpu.text" = accent.base;

      "theme.bar.buttons.modules.cpuTemp.background" = background;
      "theme.bar.buttons.modules.cpuTemp.border" = accent.base;
      "theme.bar.buttons.modules.cpuTemp.icon_background" = background;
      "theme.bar.buttons.modules.cpuTemp.icon" = accent.base;
      "theme.bar.buttons.modules.cpuTemp.text" = accent.base;

      "theme.bar.buttons.modules.hypridle.background" = background;
      "theme.bar.buttons.modules.hypridle.border" = accent.base;
      "theme.bar.buttons.modules.hypridle.icon_background" = background;
      "theme.bar.buttons.modules.hypridle.icon" = accent.base;
      "theme.bar.buttons.modules.hypridle.text" = accent.base;

      "theme.bar.buttons.modules.hyprsunset.background" = background;
      "theme.bar.buttons.modules.hyprsunset.border" = accent.base;
      "theme.bar.buttons.modules.hyprsunset.icon_background" = background;
      "theme.bar.buttons.modules.hyprsunset.icon" = accent.base;
      "theme.bar.buttons.modules.hyprsunset.text" = accent.base;

      "theme.bar.buttons.modules.kbLayout.background" = background;
      "theme.bar.buttons.modules.kbLayout.border" = accent.base;
      "theme.bar.buttons.modules.kbLayout.icon_background" = background;
      "theme.bar.buttons.modules.kbLayout.icon" = accent.base;
      "theme.bar.buttons.modules.kbLayout.text" = accent.base;

      "theme.bar.buttons.modules.microphone.background" = background;
      "theme.bar.buttons.modules.microphone.border" = accent.base;
      "theme.bar.buttons.modules.microphone.icon_background" = background;
      "theme.bar.buttons.modules.microphone.icon" = accent.base;
      "theme.bar.buttons.modules.microphone.text" = accent.base;

      "theme.bar.buttons.modules.netstat.background" = background;
      "theme.bar.buttons.modules.netstat.border" = accent.base;
      "theme.bar.buttons.modules.netstat.icon_background" = background;
      "theme.bar.buttons.modules.netstat.icon" = accent.base;
      "theme.bar.buttons.modules.netstat.text" = accent.base;

      "theme.bar.buttons.modules.power.background" = background;
      "theme.bar.buttons.modules.power.border" = accent.base;
      "theme.bar.buttons.modules.power.icon_background" = background;
      "theme.bar.buttons.modules.power.icon" = accent.base;

      "theme.bar.buttons.modules.ram.background" = background;
      "theme.bar.buttons.modules.ram.border" = accent.base;
      "theme.bar.buttons.modules.ram.icon_background" = background;
      "theme.bar.buttons.modules.ram.icon" = accent.base;
      "theme.bar.buttons.modules.ram.text" = accent.base;

      "theme.bar.buttons.modules.storage.background" = background;
      "theme.bar.buttons.modules.storage.border" = accent.base;
      "theme.bar.buttons.modules.storage.icon_background" = background;
      "theme.bar.buttons.modules.storage.icon" = accent.base;
      "theme.bar.buttons.modules.storage.text" = accent.base;

      "theme.bar.buttons.modules.submap.background" = background;
      "theme.bar.buttons.modules.submap.border" = accent.base;
      "theme.bar.buttons.modules.submap.icon_background" = background;
      "theme.bar.buttons.modules.submap.icon" = accent.base;
      "theme.bar.buttons.modules.submap.text" = special.base;

      "theme.bar.buttons.modules.updates.background" = background;
      "theme.bar.buttons.modules.updates.border" = accent.base;
      "theme.bar.buttons.modules.updates.icon_background" = background;
      "theme.bar.buttons.modules.updates.icon" = accent.base;
      "theme.bar.buttons.modules.updates.text" = accent.base;

      "theme.bar.buttons.modules.weather.background" = background;
      "theme.bar.buttons.modules.weather.border" = accent.base;
      "theme.bar.buttons.modules.weather.icon_background" = background;
      "theme.bar.buttons.modules.weather.icon" = accent.base;
      "theme.bar.buttons.modules.weather.text" = accent.base;

      "theme.bar.buttons.modules.worldclock.background" = background;
      "theme.bar.buttons.modules.worldclock.border" = accent.base;
      "theme.bar.buttons.modules.worldclock.icon_background" = background;
      "theme.bar.buttons.modules.worldclock.icon" = accent.base;
      "theme.bar.buttons.modules.worldclock.text" = accent.base;
      "theme.bar.buttons.monochrome" = false;

      "theme.bar.buttons.network.background" = background; 
      "theme.bar.buttons.network.border" = accent.base;
      "theme.bar.buttons.network.icon_background" = background;
      "theme.bar.buttons.network.icon" = accent.base;
      "theme.bar.buttons.network.text" = accent.base;

      "theme.bar.buttons.notifications.background" = background; 
      "theme.bar.buttons.notifications.border" = accent.base;
      "theme.bar.buttons.notifications.icon_background" = background;
      "theme.bar.buttons.notifications.icon" = accent.base;
      "theme.bar.buttons.notifications.total" = accent.base;

      "theme.bar.buttons.opacity" = t;

      "theme.bar.buttons.separator.color" = accent.base;

      "theme.bar.buttons.style" = "default";

      "theme.bar.buttons.systray.background" = background; 
      "theme.bar.buttons.systray.border" = accent.base;
      "theme.bar.buttons.systray.customIcon" = accent.base;

      "theme.bar.buttons.text" = accent.base;

      "theme.bar.buttons.volume.background" = background; 
      "theme.bar.buttons.volume.border" = accent.base;
      "theme.bar.buttons.volume.icon_background" = background;
      "theme.bar.buttons.volume.icon" = accent.base;
      "theme.bar.buttons.volume.text" = accent.base;

      "theme.bar.buttons.windowtitle.background" = background; 
      "theme.bar.buttons.windowtitle.border" = secondary.base;
      "theme.bar.buttons.windowtitle.icon_background" = background;
      "theme.bar.buttons.windowtitle.icon" = secondary.base;
      "theme.bar.buttons.windowtitle.text" = secondary.base;

      "theme.bar.buttons.workspaces.active" = accent.bright;
      "theme.bar.buttons.workspaces.available" = accent.base;
      "theme.bar.buttons.workspaces.background" = background; 
      "theme.bar.buttons.workspaces.border" = accent.base;
      "theme.bar.buttons.workspaces.hover" = foreground;
      "theme.bar.buttons.workspaces.numbered_active_highlighted" = accent.base;
      "theme.bar.buttons.workspaces.numbered_active_highlighted_text_color" = accent.dark;
      "theme.bar.buttons.workspaces.numbered_active_highlight_padding" = "0.4em";
      "theme.bar.buttons.workspaces.numbered_active_underline_color" = accent.bright;
      "theme.bar.buttons.workspaces.numbered_inactive_padding" = "0.4em";
      "theme.bar.buttons.workspaces.occupied" = secondary.base;
      "theme.bar.buttons.workspaces.pill.width" = "4em";
      "theme.bar.buttons.workspaces.smartHighlight" = true;
      "theme.bar.buttons.y_margins" = "0em";

      "theme.bar.location" = "bottom";

      "theme.bar.menus.menu.battery.background.color" = background;
      "theme.bar.menus.menu.battery.border.color" = accent.base;
      "theme.bar.menus.menu.battery.card.color" = accent.dark;
      "theme.bar.menus.menu.battery.icons.active" = accent.base;
      "theme.bar.menus.menu.battery.icons.passive" = accent.base;
      "theme.bar.menus.menu.battery.label.color" = accent.base;
      "theme.bar.menus.menu.battery.listitems.active" = accent.base;
      "theme.bar.menus.menu.battery.listitems.passive" = accent.base;
      "theme.bar.menus.menu.battery.slider.background" = background;
      "theme.bar.menus.menu.battery.slider.backgroundhover" = background;
      "theme.bar.menus.menu.battery.slider.primary" = accent.base;
      "theme.bar.menus.menu.battery.slider.puck" = accent.base;
      "theme.bar.menus.menu.battery.text" = foreground;

      "theme.bar.menus.menu.bluetooth.background.color" = background;
      "theme.bar.menus.menu.bluetooth.border.color" = accent.base;
      "theme.bar.menus.menu.bluetooth.card.color" = accent.dark;
      "theme.bar.menus.menu.bluetooth.iconbutton.active" = accent.base;
      "theme.bar.menus.menu.bluetooth.iconbutton.passive" = accent.base;
      "theme.bar.menus.menu.bluetooth.icons.active" = accent.base;
      "theme.bar.menus.menu.bluetooth.icons.passive" = accent.base;
      "theme.bar.menus.menu.bluetooth.label.color" = accent.base;
      "theme.bar.menus.menu.bluetooth.listitems.active" = accent.base;
      "theme.bar.menus.menu.bluetooth.listitems.passive" = accent.base;
      "theme.bar.menus.menu.bluetooth.scroller.color" = accent.base;
      "theme.bar.menus.menu.bluetooth.status" = accent.base;
      "theme.bar.menus.menu.bluetooth.switch.disabled" = accent.base;
      "theme.bar.menus.menu.bluetooth.switch_divider" = accent.base;
      "theme.bar.menus.menu.bluetooth.switch.enabled" = accent.base;
      "theme.bar.menus.menu.bluetooth.switch.puck" = accent.base;
      "theme.bar.menus.menu.bluetooth.text" = foreground;

      "theme.bar.menus.menu.clock.background.color" = background;
      "theme.bar.menus.menu.clock.border.color" = accent.base;
      "theme.bar.menus.menu.clock.calendar.contextdays" = foreground;
      "theme.bar.menus.menu.clock.calendar.currentday" = accent.base;
      "theme.bar.menus.menu.clock.calendar.days" = accent.base;
      "theme.bar.menus.menu.clock.calendar.paginator" = accent.base;
      "theme.bar.menus.menu.clock.calendar.weekdays" = accent.base;
      "theme.bar.menus.menu.clock.calendar.yearmonth" = accent.base;
      "theme.bar.menus.menu.clock.card.color" = accent.dark;
      "theme.bar.menus.menu.clock.text" = foreground;
      "theme.bar.menus.menu.clock.time.time" = accent.base;
      "theme.bar.menus.menu.clock.time.timeperiod" = accent.base;
      "theme.bar.menus.menu.clock.weather.hourly.icon" = accent.base;
      "theme.bar.menus.menu.clock.weather.hourly.temperature" = accent.base;
      "theme.bar.menus.menu.clock.weather.hourly.time" = accent.base;
      "theme.bar.menus.menu.clock.weather.icon" = accent.base;
      "theme.bar.menus.menu.clock.weather.stats" = accent.base;
      "theme.bar.menus.menu.clock.weather.status" = accent.base;
      "theme.bar.menus.menu.clock.weather.temperature" = accent.base;
      "theme.bar.menus.menu.clock.weather.thermometer.cold" = accent.base;
      "theme.bar.menus.menu.clock.weather.thermometer.extremelycold" = accent.base;
      "theme.bar.menus.menu.clock.weather.thermometer.extremelyhot" = accent.base;
      "theme.bar.menus.menu.clock.weather.thermometer.hot" = accent.base;
      "theme.bar.menus.menu.clock.weather.thermometer.moderate" = accent.base;

      "theme.bar.menus.menu.dashboard.background.color" = background;
      "theme.bar.menus.menu.dashboard.border.color" = accent.base;
      "theme.bar.menus.menu.dashboard.card.color" = accent.dark;

      "theme.bar.menus.menu.dashboard.controls.bluetooth.background" = background;
      "theme.bar.menus.menu.dashboard.controls.bluetooth.text" = foreground;
      "theme.bar.menus.menu.dashboard.controls.disabled" = accent.base;
      "theme.bar.menus.menu.dashboard.controls.input.background" = background;
      "theme.bar.menus.menu.dashboard.controls.input.text" = foreground;
      "theme.bar.menus.menu.dashboard.controls.notifications.background" = background;
      "theme.bar.menus.menu.dashboard.controls.notifications.text" = foreground;
      "theme.bar.menus.menu.dashboard.controls.volume.background" = background;
      "theme.bar.menus.menu.dashboard.controls.volume.text" = foreground;
      "theme.bar.menus.menu.dashboard.controls.wifi.background" = background;
      "theme.bar.menus.menu.dashboard.controls.wifi.text" = foreground;

      "theme.bar.menus.menu.dashboard.directories.left.bottom.color" = accent.base;
      "theme.bar.menus.menu.dashboard.directories.left.middle.color" = accent.base;
      "theme.bar.menus.menu.dashboard.directories.left.top.color" = accent.base;
      "theme.bar.menus.menu.dashboard.directories.right.bottom.color" = accent.base;
      "theme.bar.menus.menu.dashboard.directories.right.middle.color" = accent.base;
      "theme.bar.menus.menu.dashboard.directories.right.top.color" = accent.base;

      "theme.bar.menus.menu.dashboard.monitors.bar_background" = background;
      "theme.bar.menus.menu.dashboard.monitors.cpu.bar" = accent.base;
      "theme.bar.menus.menu.dashboard.monitors.cpu.icon" = accent.base;
      "theme.bar.menus.menu.dashboard.monitors.cpu.label" = accent.base;
      "theme.bar.menus.menu.dashboard.monitors.disk.bar" = accent.base;
      "theme.bar.menus.menu.dashboard.monitors.disk.icon" = accent.base;
      "theme.bar.menus.menu.dashboard.monitors.disk.label" = accent.base;
      "theme.bar.menus.menu.dashboard.monitors.gpu.bar" = accent.base;
      "theme.bar.menus.menu.dashboard.monitors.gpu.icon" = accent.base;
      "theme.bar.menus.menu.dashboard.monitors.gpu.label" = accent.base;
      "theme.bar.menus.menu.dashboard.monitors.ram.bar" = accent.base;
      "theme.bar.menus.menu.dashboard.monitors.ram.icon" = accent.base;
      "theme.bar.menus.menu.dashboard.monitors.ram.label" = accent.base;

      "theme.bar.menus.menu.dashboard.powermenu.confirmation.background" = background;
      "theme.bar.menus.menu.dashboard.powermenu.confirmation.body" = accent.base;
      "theme.bar.menus.menu.dashboard.powermenu.confirmation.border" = accent.base;
      "theme.bar.menus.menu.dashboard.powermenu.confirmation.button_text" = foreground;
      "theme.bar.menus.menu.dashboard.powermenu.confirmation.card" = accent.dark;
      "theme.bar.menus.menu.dashboard.powermenu.confirmation.confirm" = accent.base;
      "theme.bar.menus.menu.dashboard.powermenu.confirmation.deny" = accent.base;
      "theme.bar.menus.menu.dashboard.powermenu.confirmation.label" = accent.base;
      "theme.bar.menus.menu.dashboard.powermenu.logout" = accent.base;
      "theme.bar.menus.menu.dashboard.powermenu.restart" = accent.base;
      "theme.bar.menus.menu.dashboard.powermenu.shutdown" = accent.base;
      "theme.bar.menus.menu.dashboard.powermenu.sleep" = accent.base;
      "theme.bar.menus.menu.dashboard.profile.name" = accent.base;
      "theme.bar.menus.menu.dashboard.shortcuts.background" = background;
      "theme.bar.menus.menu.dashboard.shortcuts.recording" = accent.base;
      "theme.bar.menus.menu.dashboard.shortcuts.text" = foreground;

      "theme.bar.menus.menu.media.album" = accent.base;
      "theme.bar.menus.menu.media.artist" = accent.base;
      "theme.bar.menus.menu.media.background.color" = "#000000";
      "theme.bar.menus.menu.media.border.color" = accent.base;
      "theme.bar.menus.menu.media.buttons.background" = background;
      "theme.bar.menus.menu.media.buttons.enabled" = accent.base;
      "theme.bar.menus.menu.media.buttons.inactive" = accent.base;
      "theme.bar.menus.menu.media.buttons.text" = foreground;
      "theme.bar.menus.menu.media.card.color" = accent.dark;
      "theme.bar.menus.menu.media.card.tint" = accent.dark;
      "theme.bar.menus.menu.media.slider.background" = accent.dark;
      "theme.bar.menus.menu.media.slider.backgroundhover" = secondary.dark;
      "theme.bar.menus.menu.media.slider.primary" = accent.base;
      "theme.bar.menus.menu.media.slider.puck" = accent.bright;
      "theme.bar.menus.menu.media.song" = accent.base;
      "theme.bar.menus.menu.media.timestamp" = accent.base;

      "theme.bar.menus.menu.network.background.color" = background;
      "theme.bar.menus.menu.network.border.color" = accent.base;
      "theme.bar.menus.menu.network.card.color" = accent.dark;
      "theme.bar.menus.menu.network.iconbuttons.active" = accent.base;
      "theme.bar.menus.menu.network.iconbuttons.passive" = accent.base;
      "theme.bar.menus.menu.network.icons.active" = accent.base;
      "theme.bar.menus.menu.network.icons.passive" = accent.base;
      "theme.bar.menus.menu.network.label.color" = accent.base;
      "theme.bar.menus.menu.network.listitems.active" = accent.base;
      "theme.bar.menus.menu.network.listitems.passive" = accent.base;
      "theme.bar.menus.menu.network.scroller.color" = accent.base;
      "theme.bar.menus.menu.network.status.color" = accent.base;
      "theme.bar.menus.menu.network.switch.disabled" = accent.base;
      "theme.bar.menus.menu.network.switch.enabled" = accent.base;
      "theme.bar.menus.menu.network.switch.puck" = accent.base;
      "theme.bar.menus.menu.network.text" = foreground;

      "theme.bar.menus.menu.notifications.background" = background;
      "theme.bar.menus.menu.notifications.border" = accent.base;
      "theme.bar.menus.menu.notifications.card" = accent.dark;
      "theme.bar.menus.menu.notifications.clear" = accent.base;
      "theme.bar.menus.menu.notifications.label" = accent.base;
      "theme.bar.menus.menu.notifications.no_notifications_label" = accent.base;
      "theme.bar.menus.menu.notifications.pager.background" = background;
      "theme.bar.menus.menu.notifications.pager.button" = accent.dark;
      "theme.bar.menus.menu.notifications.pager.label" = accent.base;
      "theme.bar.menus.menu.notifications.scrollbar.color" = accent.base;
      "theme.bar.menus.menu.notifications.switch.disabled" = accent.base;
      "theme.bar.menus.menu.notifications.switch_divider" = accent.base;
      "theme.bar.menus.menu.notifications.switch.enabled" = accent.base;
      "theme.bar.menus.menu.notifications.switch.puck" = accent.base;


      "theme.bar.menus.menu.power.background.color" = background;
      "theme.bar.menus.menu.power.border.color" = accent.base;

      "theme.bar.menus.menu.power.buttons.logout.background" = background;
      "theme.bar.menus.menu.power.buttons.logout.icon_background" = background;
      "theme.bar.menus.menu.power.buttons.logout.icon" = accent.base;
      "theme.bar.menus.menu.power.buttons.logout.text" = foreground;

      "theme.bar.menus.menu.power.buttons.restart.background" = background;
      "theme.bar.menus.menu.power.buttons.restart.icon_background" = background;
      "theme.bar.menus.menu.power.buttons.restart.icon" = accent.base;
      "theme.bar.menus.menu.power.buttons.restart.text" = foreground;

      "theme.bar.menus.menu.power.buttons.shutdown.background" = background;
      "theme.bar.menus.menu.power.buttons.shutdown.icon_background" = background;
      "theme.bar.menus.menu.power.buttons.shutdown.icon" = accent.base;
      "theme.bar.menus.menu.power.buttons.shutdown.text" = foreground;

      "theme.bar.menus.menu.power.buttons.sleep.background" = background;
      "theme.bar.menus.menu.power.buttons.sleep.icon_background" = background;
      "theme.bar.menus.menu.power.buttons.sleep.icon" = accent.base;
      "theme.bar.menus.menu.power.buttons.sleep.text" = foreground;


      "theme.bar.menus.menu.systray.dropdownmenu.background" = background;
      "theme.bar.menus.menu.systray.dropdownmenu.divider" = accent.base;
      "theme.bar.menus.menu.systray.dropdownmenu.text" = foreground;

      "theme.bar.menus.menu.volume.audio_slider.background" = background;
      "theme.bar.menus.menu.volume.audio_slider.backgroundhover" = background;
      "theme.bar.menus.menu.volume.audio_slider.primary" = accent.base;
      "theme.bar.menus.menu.volume.audio_slider.puck" = accent.base;
      "theme.bar.menus.menu.volume.background.color" = background;
      "theme.bar.menus.menu.volume.border.color" = accent.base;
      "theme.bar.menus.menu.volume.card.color" = accent.dark;
      "theme.bar.menus.menu.volume.iconbutton.active" = accent.base;
      "theme.bar.menus.menu.volume.iconbutton.passive" = accent.base;
      "theme.bar.menus.menu.volume.input_slider.background" = background;
      "theme.bar.menus.menu.volume.input_slider.backgroundhover" = background;
      "theme.bar.menus.menu.volume.input_slider.primary" = accent.base;
      "theme.bar.menus.menu.volume.input_slider.puck" = accent.base;
      "theme.bar.menus.menu.volume.label.color" = accent.base;
      "theme.bar.menus.menu.volume.listitems.active" = accent.base;
      "theme.bar.menus.menu.volume.listitems.passive" = accent.base;
      "theme.bar.menus.menu.volume.text" = foreground;

      "theme.bar.menus.monochrome" = false;

      "theme.bar.opacity" = t;
      "theme.bar.outer_spacing" = "0em";
      "theme.bar.transparent" = false;

      "theme.font.name" = rice.font.code.name;
      "theme.font.size" = "12px";

      "theme.notification.actions.background" = background;
      "theme.notification.actions.text" = foreground;
      "theme.notification.background" = background;
      "theme.notification.border" = accent.base;
      "theme.notification.close_button.background" = accent.dark;
      "theme.notification.close_button.label" = accent.base;
      "theme.notification.label" = accent.base;
      "theme.notification.labelicon" = accent.base;
      "theme.notification.opacity" = 1.0;
      "theme.notification.text" = foreground;
      "theme.notification.time" = accent.base;

      "theme.osd.bar_color" = accent.base;
      "theme.osd.bar_container" = accent.dark;
      "theme.osd.bar_empty_color" = accent.dark;
      "theme.osd.bar_overflow_color" = accent.base;
      "theme.osd.border.color" = border;
      "theme.osd.icon_container" = secondary.dark;
      "theme.osd.icon" = secondary.bright;
      "theme.osd.label" = accent.bright;
      "theme.osd.opacity" = t;
    };
  };
}
